Index: fedd/fedd_client.py
===================================================================
--- fedd/fedd_client.py	(revision 7b26c3985748b75ac1a921dc69392e6c386151b9)
+++ fedd/fedd_client.py	(revision 3bddd2408dd33162f27d5b4d1db9edd8fc76ba25)
@@ -65,17 +65,17 @@
                 version="0.1")
 
-        self.add_option("-c","--cert", action="store", dest="cert",
+        self.add_option("--cert", action="store", dest="cert",
                 type="string", help="my certificate file")
-        self.add_option("-d", "--debug", action="count", dest="debug", 
+        self.add_option( "--debug", action="count", dest="debug", 
                 default=0, help="Set debug.  Repeat for more information")
-        self.add_option("-s", "--serializeOnly", action="store_true", 
+        self.add_option("--serializeOnly", action="store_true", 
                 dest="serialize_only", default=False,
                 help="Print the SOAP request that would be sent and exit")
-        self.add_option("-T","--trusted", action="store", dest="trusted",
+        self.add_option("--trusted", action="store", dest="trusted",
                 type="string", help="Trusted certificates (required)")
-        self.add_option("-u", "--url", action="store", dest="url",
+        self.add_option("--url", action="store", dest="url",
                 type="string",default="https://localhost:23235",  
                 help="URL to connect to (default %default)")
-        self.add_option("-x","--transport", action="store", type="choice",
+        self.add_option("--transport", action="store", type="choice",
                 choices=("xmlrpc", "soap"), default="soap",
                 help="Transport for request (xmlrpc|soap) (Default: %default)")
@@ -85,7 +85,7 @@
     def __init__(self):
         fedd_client_opts.__init__(self)
-        self.add_option("-e", "--experiment_cert", dest="out_certfile",
+        self.add_option("--experiment_cert", dest="out_certfile",
                 type="string", help="output certificate file")
-        self.add_option("-E", "--experiment_name", dest="exp_name",
+        self.add_option("--experiment_name", dest="exp_name",
                 type="string", help="Suggested experiment name")
 
@@ -94,30 +94,30 @@
             add_cert_callback=None):
         fedd_client_opts.__init__(self)
-        self.add_option("-e", "--experiment_cert", dest="out_certfile",
+        self.add_option("--experiment_cert", dest="out_certfile",
                 type="string", help="output certificate file")
-        self.add_option("-E", "--experiment_name", dest="exp_name",
+        self.add_option("--experiment_name", dest="exp_name",
                 type="string", help="Suggested experiment name")
-        self.add_option("-F","--useFedid", action="store_true",
+        self.add_option("--useFedid", action="store_true",
                 dest="use_fedid", default=False,
                 help="Use a fedid derived from my certificate as user identity")
-        self.add_option("-f", "--file", dest="file", 
+        self.add_option("--file", dest="file", 
                 help="experiment description file")
-        self.add_option("-p", "--project", action="store", dest="project", 
+        self.add_option("--project", action="store", dest="project", 
                 type="string",
                 help="Project to export from master")
         if add_key_callback:
-            self.add_option("-k", "--ssh_key", action="callback",
+            self.add_option("--ssh_key", action="callback",
                     type="string", callback=add_key_callback,
                     callback_args=(access_keys,),
                     help="ssh key for access (can be supplied more than once")
         if add_cert_callback:
-            self.add_option("-K", "--x509Key", action="callback",
+            self.add_option("--x509Key", action="callback",
                     type="string", callback=add_cert_callback,
                     callback_args=(access_keys,),
                     help="X509 certificate for access " + \
                         "(can be supplied more than once")
-        self.add_option("-m", "--master", dest="master",
+        self.add_option("--master", dest="master",
                 help="Master testbed in the federation")
-        self.add_option("-U", "--username", action="store", dest="user",
+        self.add_option("--username", action="store", dest="user",
                 type="string", help="Use this username instead of the uid")
 
@@ -127,8 +127,8 @@
         fedd_create_opts.__init__(self, access_keys, add_key_callback,
                 add_cert_callback)
-        self.add_option('-t','--fedkit', action='store_true', dest='fedkit',
+        self.add_option('--fedkit', action='store_true', dest='fedkit',
                 default=False,
                 help="get output suitable for federation kit install")
-        self.add_option('-G','--gatewaykit', action='store_true',
+        self.add_option('--gatewaykit', action='store_true',
                 dest='gatewaykit', default=False,
                 help="get output suitable for federation gateway kit install")
@@ -140,14 +140,14 @@
         fedd_create_opts.__init__(self, access_keys, add_key_callback,
                 add_cert_callback)
-        self.add_option("-a","--anonymous", action="store_true",
+        self.add_option("--anonymous", action="store_true",
                 dest="anonymous", default=False,
                 help="Do not include a user in the request")
-        self.add_option("-l","--label", action="store", dest="label",
+        self.add_option("--label", action="store", dest="label",
                 type="string", help="Label for output")
         if add_node_callback:
-            self.add_option("-n", "--node", action="callback", type="string", 
+            self.add_option("--node", action="callback", type="string", 
                     callback=add_node_callback, callback_args=(node_descs,),
                     help="Node description: image:hardware[:count]")
-        self.add_option("-t", "--testbed", action="store", dest="testbed",
+        self.add_option("--testbed", action="store", dest="testbed",
                 type="string",
                 help="Testbed identifier (URI) to contact (required)")
@@ -156,7 +156,7 @@
     def __init__(self):
         fedd_client_opts.__init__(self)
-        self.add_option("-e", "--experiment_cert", dest="exp_certfile",
+        self.add_option("--experiment_cert", dest="exp_certfile",
                 type="string", help="experiment certificate file")
-        self.add_option("-E", "--experiment_name", dest="exp_name",
+        self.add_option("--experiment_name", dest="exp_name",
                 type="string", help="human readable experiment name")
         self.add_option("--data", dest="data", default=[],
@@ -188,7 +188,7 @@
     def __init__(self):
         fedd_client_opts.__init__(self)
-        self.add_option("-e", "--experiment_cert", dest="exp_certfile",
+        self.add_option("--experiment_cert", dest="exp_certfile",
                 type="string", help="experiment name certificate file")
-        self.add_option("-E", "--experiment_name", dest="exp_name",
+        self.add_option("--experiment_name", dest="exp_name",
                 type="string", help="human readable experiment name")
         self.add_option("--logfile", dest="logfile", default=None,
@@ -200,19 +200,19 @@
     def __init__(self):
         fedd_exp_data_opts.__init__(self)
-        self.add_option("-o", "--output", dest="outfile", type="string",
+        self.add_option("--output", dest="outfile", type="string",
                 help="output image file")
-        self.add_option("-F", "--format", dest="format", type="choice", 
+        self.add_option("--format", dest="format", type="choice", 
                 choices=("jpg", "png", "dot", "svg"),
                 help="Output file format override")
-        self.add_option("-P", "--program", dest="neato", default=None,
+        self.add_option("--program", dest="neato", default=None,
                 type="string",
                 help="Program compatible with dot (from graphviz) used to " + \
                         "render image")
-        self.add_option('-L', "--labels", dest='labels', action='store_true',
+        self.add_option("--labels", dest='labels', action='store_true',
                 default=True, help='Label nodes and edges')
-        self.add_option('-A', "--no_labels", dest='labels',
+        self.add_option("--no_labels", dest='labels',
                 default=True, action='store_false',
                 help='Label nodes and edges')
-        self.add_option('-j','--pixels', dest="pixels", default=None,
+        self.add_option('--pixels', dest="pixels", default=None,
                 type="int",
                 help="Size of output in pixels (diagrams are square")
@@ -223,19 +223,19 @@
         fedd_split_opts.__init__(self, access_keys, add_key_callback, 
                 add_cert_callback)
-        self.add_option("-o", "--output", dest="outfile", type="string",
+        self.add_option("--output", dest="outfile", type="string",
                 help="output image file")
-        self.add_option("-Q", "--format", dest="format", type="choice", 
+        self.add_option("--format", dest="format", type="choice", 
                 choices=("jpg", "png", "dot", "svg"),
                 help="Output file format override")
-        self.add_option("-P", "--program", dest="neato", default=None,
+        self.add_option("--program", dest="neato", default=None,
                 type="string",
                 help="Program compatible with dot (from graphviz) used to " + \
                         "render image")
-        self.add_option('-L', "--labels", dest='labels', action='store_true',
+        self.add_option("--labels", dest='labels', action='store_true',
                 default=True, help='Label nodes and edges')
-        self.add_option('-A', "--no_labels", dest='labels',
+        self.add_option("--no_labels", dest='labels',
                 default=True, action='store_false',
                 help='Label nodes and edges')
-        self.add_option('-j','--pixels', dest="pixels", default=None,
+        self.add_option('--pixels', dest="pixels", default=None,
                 type="int",
                 help="Size of output in pixels (diagrams are square")
@@ -244,5 +244,5 @@
     def __init__(self):
         fedd_client_opts.__init__(self)
-        self.add_option("-f", "--file", dest="file", 
+        self.add_option("--file", dest="file", 
                 help="experiment description file")
 
@@ -1500,14 +1500,8 @@
             for id in eid:
                 for k in id.keys():
-                    print "%s: %s" % (k, id[k])
 		    if k =='fedid':
 			e_fedid = id[k]
 		    elif k =='localname':
 			e_local = id[k]
-
-        st = resp_dict.get('experimentStatus', None)
-        if st:
-            print "status: %s" % st
-
 
         msg = {
